<template>
  <q-layout view="hHh lpR fFf">

    <q-header elevated class="bg-primary text-white">
      <q-toolbar>
        <q-btn dense flat round icon="menu" @click="toggleLeftDrawer" />
      </q-toolbar>
    </q-header>

    <q-drawer show-if-above v-model="leftDrawerOpen" side="left" bordered>
      <q-list>
        <q-item-label header>Paper PoS</q-item-label>

        <!-- Checkout -->
        <q-item clickable to="checkout">
          <q-item-section avatar>
            <q-icon name="point_of_sale" />
          </q-item-section>

          <q-item-section>
            <q-item-label>Checkout</q-item-label>
          </q-item-section>
        </q-item>

        <!-- Settings -->
        <q-item clickable to="settings">
          <q-item-section avatar>
            <q-icon name="settings" />
          </q-item-section>

          <q-item-section>
            <q-item-label>Settings</q-item-label>
          </q-item-section>
        </q-item>

        <!-- Settings -->
        <q-item clickable to="payment-qr">
          <q-item-section avatar>
            <q-icon name="pay" />
          </q-item-section>

          <q-item-section>
            <q-item-label>Payment QR</q-item-label>
          </q-item-section>
        </q-item>

        <q-separator />

        <!-- Settings -->
        <q-item clickable type="a" href="https://external.com" target="_blank">
          <q-item-section avatar>
            <q-icon name="info" />
          </q-item-section>

          <q-item-section>
            <q-item-label>About</q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-drawer>

    <q-page-container class="bg-white">
      <router-view v-slot="{ Component }">
        <transition appear enter-active-class="animated fadeIn slower">
          <component :is="Component" />
        </transition>
      </router-view>
    </q-page-container>

  </q-layout>
</template>

<script>
import { ref } from 'vue'

export default {
  setup () {
    const leftDrawerOpen = ref(false)

    return {
      leftDrawerOpen,
      toggleLeftDrawer () {
        leftDrawerOpen.value = !leftDrawerOpen.value
      }
    }
  }
}
</script>
